start:
  movea( RC, 0x584 )
  movea( RD, 0x200 )

loop:
  load RA (RD)
  rotate_left( RA, 3 )
  and RA 0xF8
  store RA acc

  load RA (RD)
  rotate_right( RA, 3)
  and RA 0xFC
  addm RA acc
  store RA acc

  load RA (RD)
  rotate_right( RA, 8)
  and RA 0xF8
  addm RA acc
  store RA acc

  add RD 1
  
  divide( brightness, acc, 3 )

  load RA brightness
  rotate_right( RA, 3)
  and RA 0x1F
  store RA acc

  load RA brightness
  and RA 0xFC
  rotate_left( RA, 3)
  addm RA acc 
  store RA acc 

  load RA brightness
  and RA 0xF8
  rotate_left( RA, 8 )
  addm RA acc 

  store RA (RC)
  add RC 1

  move RA RC
  subm RA end
  jumpz trap
  jump loop

trap:
  move RA 0
  store RA 0xFFF
  jump trap

brightness:
  .data 0
acc:
  .data 0   
end:
  .data 0x908


